Gecode::Iter::Values::Positive< I, strict > Class Template Reference
Common functionality » Range and value iterators » Value iterators

Value iterator for selecting only positive values. More...

`#include <values-positive.hpp>`

## Protected Attributes

I | i
| Input iterator.

## Constructors and initialization

| Positive (void)
| Default constructor.
| Positive (I &i)
| Initialize with values from i.
void | init (I &i)
| Initialize with values from i.

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a value or done.
void | operator++ (void)
| Move iterator to next value (if possible).

## Value access

int | val (void) const
| Return current value.

## Detailed Description

template<class I, bool strict = false>
class Gecode::Iter::Values::Positive< I, strict >

Value iterator for selecting only positive values.

If strict is true, zero is included.

Definition at line 43 of file values-positive.hpp.

## Constructor & Destructor Documentation

## Positive() [1/2]

template<class I, bool strict>

Gecode::Iter::Values::Positive< I, strict >::Positive | ( | void |  | ) |

inline

Default constructor.

Definition at line 76 of file values-positive.hpp.

## Positive() [2/2]

template<class I, bool strict>

Gecode::Iter::Values::Positive< I, strict >::Positive | ( | I & | i | ) |

inline

Initialize with values from i.

Definition at line 91 of file values-positive.hpp.

## Member Function Documentation

## init()

template<class I, bool strict>

void Gecode::Iter::Values::Positive< I, strict >::init | ( | I & | i | ) |

inline

Initialize with values from i.

Definition at line 80 of file values-positive.hpp.

## operator()()

template<class I, bool strict>

bool Gecode::Iter::Values::Positive< I, strict >::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a value or done.

Definition at line 106 of file values-positive.hpp.

## operator++()

template<class I, bool strict>

void Gecode::Iter::Values::Positive< I, strict >::operator++ | ( | void |  | ) |

inline

Move iterator to next value (if possible).

Definition at line 101 of file values-positive.hpp.

## val()

template<class I, bool strict>

int Gecode::Iter::Values::Positive< I, strict >::val | ( | void |  | ) | const

inline

Return current value.

Definition at line 112 of file values-positive.hpp.

## Member Data Documentation

## i

template<class I, bool strict = false>

I Gecode::Iter::Values::Positive< I, strict >::i

protected

Input iterator.

Definition at line 46 of file values-positive.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/values-positive.hpp